
From: Dmitry Torokhov <dtor_core@ameritech.net>

serio - do not attempt to immediately disconnect port if resume failed, let
kseriod take care of it.  Otherwise we may attempt to unregister associated
input devices which will generate hotplug events which are not handled well
during swsusp.

Signed-off-by: Dmitry Torokhov <dtor@mail.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/serio/serio.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/input/serio/serio.c~serio-resume-fix drivers/input/serio/serio.c
--- 25/drivers/input/serio/serio.c~serio-resume-fix	2005-04-04 02:02:17.000000000 -0700
+++ 25-akpm/drivers/input/serio/serio.c	2005-04-04 02:02:17.000000000 -0700
@@ -779,7 +779,6 @@ static int serio_resume(struct device *d
 	struct serio *serio = to_serio_port(dev);
 
 	if (!serio->drv || !serio->drv->reconnect || serio->drv->reconnect(serio)) {
-		serio_disconnect_port(serio);
 		/*
 		 * Driver re-probing can take a while, so better let kseriod
 		 * deal with it.
_
